summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2008-10-21 13:09:13 +0200
committerJim Meyering <meyering@redhat.com>2008-10-21 13:09:58 +0200
commit028e12ce3bea55b791cf339d2b12834e5091a5e5 (patch)
tree67f51ea77abe0a4cb8213fb4d3dc09a8fb564a6b /tests
parentf3f1ccfd871ee395e7fafc051c1b7dedb39fdfc9 (diff)
downloadcoreutils-028e12ce3bea55b791cf339d2b12834e5091a5e5.tar.xz
tests: test today's ls-vs-capability fix
Test for this fix: f3f1ccfd871ee395e7fafc051c1b7dedb39fdfc9. * tests/Makefile.am (TESTS): Add ls/no-cap. * tests/ls/no-cap: New file.
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile.am1
-rwxr-xr-xtests/ls/no-cap37
2 files changed, 38 insertions, 0 deletions
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 7a523a5db..d73ce32d0 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -327,6 +327,7 @@ TESTS = \
ls/inode \
ls/m-option \
ls/no-arg \
+ ls/no-cap \
ls/proc-selinux-segfault \
ls/recursive \
ls/rt-1 \
diff --git a/tests/ls/no-cap b/tests/ls/no-cap
new file mode 100755
index 000000000..1cae69f9f
--- /dev/null
+++ b/tests/ls/no-cap
@@ -0,0 +1,37 @@
+#!/bin/sh
+# ensure that an empty "ca=" attribute disables ls's capability-checking
+
+# Copyright (C) 2008 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ ls --version
+fi
+
+. $srcdir/test-lib.sh
+require_strace_ capget
+
+fail=0
+strace -e capget ls --color=always > /dev/null 2> out || fail=1
+$EGREP 'capget\(' out || skip_test_ "your ls doesn't call capget"
+
+rm -f out
+eval "$(TERM=xterm dircolors -b | sed 's/ca=[^:]*:/ca=:/' | tee /t/k-env)"
+strace -e capget ls --color=always > /dev/null 2> out || fail=1
+
+$EGREP 'capget\(' out && fail=1
+
+Exit $fail